careCycle
CustomersDependents

Create customer dependent

Create a new dependent for a customer

POST
/v2/customers/{id}/dependents

Authorization

x-api-key
x-api-key<token>

API key required for authentication.

Keys begin with 'cc_' prefix. Get your API key from the Developer Dashboard.

In: header

Path Parameters

string

Customer ID

Match^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Formatuuid

Request Body

application/json

POST /v2/customers/:id/dependents Request body

TypeScript Definitions

Use the request body type in TypeScript.

string | null
Lengthlength <= 255
string | null
Lengthlength <= 255
string | null
Lengthlength <= 255
string | null
string | null
Value in"Male" | "Female" | "Non-Binary" | "Other" | "Prefer Not to Say"
integer | null
Range-2147483648 <= value <= 2147483647
string | null
Value in"Spouse" | "Child" | "Parent" | "Sibling" | "Other"
string | null
Lengthlength <= 50
string | null
Lengthlength <= 255
string | null
Lengthlength <= 11
boolean | null
string | null
string | null
boolean | null
string | null
Lengthlength <= 1000

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://api.carecycle.ai/v2/customers/497f6eca-6276-4993-bfeb-53cbbbba6f08/dependents" \  -H "Content-Type: application/json" \  -d '{}'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "createdAt": "string",
  "updatedAt": "string",
  "customerId": "87d8e330-2878-4742-a86f-dbbb3bf522ac",
  "firstName": "string",
  "lastName": "string",
  "middleName": "string",
  "dateOfBirth": "string",
  "gender": "Male",
  "annualIncome": -2147483648,
  "relationshipType": "Spouse",
  "phone": "string",
  "email": "string",
  "ssn": "string",
  "isCovered": true,
  "coverageStartDate": "string",
  "coverageEndDate": "string",
  "isActive": true,
  "notes": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "string"
}
{
  "message": "string",
  "code": "VALIDATION_ERROR",
  "errors": [
    {
      "path": [
        "string"
      ],
      "message": "string",
      "expected": "string",
      "received": "string",
      "code": "string"
    }
  ]
}
{
  "message": "string",
  "code": "string",
  "retryAfter": 0
}
{
  "message": "string",
  "code": "string"
}